Bug 590675 - Lock yum for non-root users, so multiple simultaneous runs don't interact badly
Lock yum for non-root users, so multiple simultaneous runs don't interact badly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.1
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Karel Srot
abrt_hash:1ed0db48
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 09:14 EDT by Ben Woodard
Modified: 2014-01-21 01:17 EST (History)
1 user (show)

See Also:
Fixed In Version: yum-3.2.29-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: yum only had a lock for root, in /var/run Consequence: you could two instances of yum at once as non-root Fix: yum now also locks the cache. Result: You can run two instances, but the second will wait for the lock
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:33:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.08 KB, text/plain)
2010-05-10 09:14 EDT, Ben Woodard
no flags Details

  None (edit)
Description Ben Woodard 2010-05-10 09:14:42 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/yumdownloader --disablerepo=* --enablerepo=*-debug* --quiet keyutils-debuginfo-1.4-1.el6.x86_64
component: yum-utils
executable: /usr/bin/yumdownloader
kernel: 2.6.32-23.el6.x86_64
package: yum-utils-1.1.26-7.el6
reason: yumRepo.py:1053:_revertOldRepoXML:OSError: [Errno 2] No such file or directory
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

How to reproduce
-----
1. Just downloading today's update
Comment 1 Ben Woodard 2010-05-10 09:14:44 EDT
Created attachment 412833 [details]
File: backtrace
Comment 3 RHEL Product and Program Management 2010-05-10 10:32:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 James Antill 2010-05-20 15:22:15 EDT
You were running this as a normal user?

Was anything else happening at the time?
Comment 5 James Antill 2010-05-25 12:31:10 EDT
If it's the problem I think it is (non-root users need some kind of lock), we can probably do it for 6.1
Comment 11 James Antill 2011-02-18 09:54:52 EST
Yeh, the easiest way to test involves keeping old metadata around for a repo.

You can just test that the new yum has locking, but opening two terminals and running "yum search yum" in both of them ... if one of them doesn't start printing the "yum is locked" data, then there is no lock.
Comment 12 Karel Srot 2011-02-18 10:20:29 EST
> You can just test that the new yum has locking...

Thats the way I have tested bug 669746. But the traceback is a bit different, therefore I am also trying to reproduce the one in #c0. I will try it again with the old metadata.
Comment 14 James Antill 2011-05-12 15:03:29 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: yum only had a lock for root, in /var/run
Consequence: you could two instances of yum at once as non-root
Fix: yum now also locks the cache.
Result: You can run two instances, but the second will wait for the lock
Comment 15 errata-xmlrpc 2011-05-19 09:33:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0602.html

Note You need to log in before you can comment on or make changes to this bug.